[kernel] r7700 -
dists/trunk/linux-2.6/debian/patches/features/all/xen
Bastian Blank
waldi at alioth.debian.org
Mon Nov 6 11:06:55 UTC 2006
Author: waldi
Date: Mon Nov 6 12:06:54 2006
New Revision: 7700
Added:
dists/trunk/linux-2.6/debian/patches/features/all/xen/gen-patch-vserver-update (contents, props changed)
Log:
debian/patches/features/all/xen/gen-patch-vserver-update: Add.
Added: dists/trunk/linux-2.6/debian/patches/features/all/xen/gen-patch-vserver-update
==============================================================================
--- (empty file)
+++ dists/trunk/linux-2.6/debian/patches/features/all/xen/gen-patch-vserver-update Mon Nov 6 12:06:54 2006
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+vserverpatch="$1"
+
+error() {
+ echo "$@";
+ exit 1
+}
+
+[ "$vserverpatch" ] || error "please specify the reference vserver patch"
+
+patch="$(dirname $0)/vserver-update.patch"
+root="$(dirname $0)/../../../../.."
+source="$root/debian/build/source-amd64-xen-vserver-patch"
+
+make -C "$root" -f debian/rules debian/stamps
+make -C "$root" -f debian/rules.gen source-amd64-xen
+rm -rf "$source"
+cp -al "$root/debian/build/source-amd64-xen" "$source"
+
+for i in $(cd "$source"; find arch/i386 arch/x86_64 -name '*-xen.[chS]'); do
+ f=${i/-xen/};
+ filterdiff -p 1 -i "$f" "$vserverpatch" | patch -d "$source" --no-backup-if-mismatch -F 0 -p 1 $i
+done
+(cd "$source/.."; diff -ur source-amd64-xen/arch source-amd64-xen-vserver-patch/arch) > "$patch"
More information about the Kernel-svn-changes
mailing list